---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: dbo
metadata:
  name: minio
  description: null
options:
  app-group:
    default: infra
    examples:
    - infra
    type: string
  domain:
    default: your-company
    examples:
    - your-company
    type: string
  domain-name:
    default: your_company.com
    examples:
    - your_company.com
    type: string
  images:
    default:
      operator:
        pullPolicy: IfNotPresent
        registry: docker.io
        repository: to-be/defined
        tag: v1.0.0
    examples:
    - operator:
        pullPolicy: IfNotPresent
        registry: docker.io
        repository: to-be/defined
        tag: v1.0.0
    properties:
      operator:
        default:
          pullPolicy: IfNotPresent
          registry: docker.io
          repository: to-be/defined
          tag: v1.0.0
        properties:
          pullPolicy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: docker.io
            type: string
          repository:
            default: to-be/defined
            type: string
          tag:
            default: v1.0.0
            type: string
        type: object
    type: object
  ingress-class:
    default: traefik
    examples:
    - traefik
    type: string
  issuer:
    default: letsencrypt-prod
    examples:
    - letsencrypt-prod
    type: string
  storage:
    default:
      accessMode: ReadWriteOnce
      size: 1Gi
      type: Filesystem
    examples:
    - accessMode: ReadWriteOnce
      size: 1Gi
      type: Filesystem
    properties:
      accessMode:
        default: ReadWriteOnce
        enum:
        - ReadWriteOnce
        - ReadOnlyMany
        - ReadWriteMany
        type: string
      size:
        default: 1Gi
        type: string
      type:
        default: Filesystem
        enum:
        - Filesystem
        - Block
        type: string
    type: object
  sub-domain:
    default: to-be-set
    examples:
    - to-be-set
    type: string
dependencies: []
providers:
  kubernetes: true
  authentik: true
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
